## liblxqt 0.14.1

=== debian/changelog ===
liblxqt (0.14.1-4) unstable; urgency=medium

  * Added kfreebsd as non-linux to rules
  * New build dependency dh-exec
  * Don't install backlight things for hurd and kfreebsd
  * Prepared helper package

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 22:59:58 +0200

liblxqt (0.14.1-3) unstable; urgency=medium

  * Modified debian/rules for Hurd.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:43:27 +0200

liblxqt (0.14.1-2) unstable; urgency=medium

  * Applied upstream CMakeLists patches for non-linux.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:20:35 +0200

liblxqt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.1.
  * Bumped minimum version libqt5xdg-dev (>= 3.3.1~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.1~)
  * Added new symbol

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 18:01:40 +0100

liblxqt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Added Build-Depends-Package: liblxqt0-dev to d/liblxqt0-dev.symbols
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version libqt5xdg-dev (>= 3.3.0~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:37:40 +0100

=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.3.1~),
               libqt5xdgiconloader-dev (>= 3.3.1~),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.6.0~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         desktop-file-utils,
#         lxqt-backlight-helper [linux-any],
         shared-mime-info
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.1.0),
         libqt5xdgiconloader-dev (>= 3.1.0),
         lxqt-build-tools (>= 0.5.0~)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: liblxqt0 (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.


# Package: lxqt-backlight-helper
# Architecture: linux-any
# Depends: ${shlibs:Depends},
#         ${misc:Depends}
# Description: LXQt backlight helper for linux
#  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
# technologies. It has been tailored for users who value simplicity, speed, and
# an intuitive interface. Unlike most desktop environments, LXQt also works
# fine with less powerful machines.
# .
# This package contains the backlight helper files needed by the linux LXQt
# desktop environment.

## liblxqt 0.14.1.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(liblxqt)


set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(KF5_MINIMUM_VERSION "5.36.0")
set(QT_MINIMUM_VERSION "5.7.1")
set(QTXDG_MINIMUM_VERSION "3.3.1")

# Major LXQt Version, belong to all components
set(LXQT_MAJOR_VERSION 0)
# Minor LXQt Version, belong to all components
set(LXQT_MINOR_VERSION 14)
#
# Patch Version, belong *only* to the component
# LXQt is 0.13 - liblxqt is at patch version 0
# The official LXQt version will follow liblxqt.
#
# In a perfect world all components would have the same major- and minor- and
# patch-version as liblxqt - in real life it will be fine if every component
# has it's own patch version within a major/minor life cyle.
#
set(LXQT_PATCH_VERSION 1)
set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})


option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(X11 REQUIRED)
message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation

add_subdirectory(lxqtbacklight/linux_backend/driver)

set(LXQT_PKG_CONFIG_DESCRIPTION "Shared library for LXQt applications")

set(PUB_HDRS
    lxqthtmldelegate.h
    lxqtsettings.h
    lxqtplugininfo.h
    lxqtpowermanager.h
    lxqtscreensaver.h
    lxqtapplication.h
    lxqtsingleapplication.h
    lxqttranslator.h
    lxqtprogramfinder.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtconfigdialogcmdlineoptions.h
    configdialog/lxqtpageselectwidget.h

    lxqtpower/lxqtpower.h
    lxqtnotification.h
    lxqtautostartentry.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
    lxqtglobals.h
    lxqtbacklight.h
    #lxqtbacklight/virtual_backend.h
    #lxqtbacklight/linux_backend/linuxbackend.h
)

set(PUBLIC_CLASSES
    HtmlDelegate
    Settings
    PluginInfo
    PowerManager
    ScreenSaver
    Application
    SingleApplication
    Translator
    ProgramFinder

    ConfigDialog
    ConfigDialogCmdLineOptions
    PageSelectWidget

    Power
    Notification
    AutostartEntry
    GridLayout
    RotatedWidget
    Globals
    Backlight
)

set(SRCS
    lxqthtmldelegate.cpp
    lxqtplugininfo.cpp
    lxqtpowermanager.cpp
    lxqtsettings.cpp
    lxqtscreensaver.cpp
    lxqtapplication.cpp
    lxqtsingleapplication.cpp
    lxqttranslator.cpp
    lxqtprogramfinder.cpp

    configdialog/lxqtconfigdialog.cpp
    configdialog/lxqtconfigdialogcmdlineoptions.cpp
    configdialog/lxqtpageselectwidget.cpp

    lxqtpower/lxqtpower.cpp
    lxqtpower/lxqtpowerproviders.cpp
    lxqtautostartentry.cpp
    lxqtnotification.cpp
    lxqtgridlayout.cpp
    lxqtrotatedwidget.cpp
    lxqtbacklight.cpp
    lxqtbacklight/virtual_backend.cpp
    lxqtbacklight/linux_backend/linuxbackend.cpp
)

set(MOCS
    lxqthtmldelegate.h
    lxqtpowermanager.h
    lxqtsettings.h
    lxqtscreensaver.h
    lxqtapplication.h
    lxqtbacklight.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtconfigdialog_p.h
    configdialog/lxqtpageselectwidget.h

    lxqtnotification.h
    lxqtnotification_p.h
    lxqtpower/lxqtpower.h
    lxqtpower/lxqtpowerproviders.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
    lxqtbacklight/virtual_backend.h
    lxqtbacklight/linux_backend/linuxbackend.h
)

set(FORMS
    configdialog/lxqtconfigdialog.ui
)

set(POLKIT_FILES
    "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy"
)

# Build Polkit file
configure_file ( polkit/org.lxqt.backlight.pkexec.policy.in "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy" )

file(GLOB LXQT_CONFIG_FILES resources/*.conf)

QT5_ADD_DBUS_INTERFACE(DBUS_INTERFACE_SRCS
    dbus/org.freedesktop.Notifications.xml
    notifications_interface
)

QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
    dbus/org.lxqt.SingleApplication.xml
    lxqtsingleapplication.h LXQt::SingleApplication
)

set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")

# KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")


# Standard directories for installation
include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtCreatePkgConfigFile)
include(LXQtCreatePortableHeaders)
include(LXQtConfigVars)

set(LXQT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")

set(LXQT_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}")
set(LXQT_INSTALL_CMAKE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/cmake")


## Translations
include(LXQtTranslateTs)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SRCS}
        ${FORMS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

message(STATUS "")
message(STATUS "liblxqt version: ${LXQT_VERSION}")
message(STATUS "")


# Copy public headers
foreach(h ${PUB_HDRS})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${LXQT_INTREE_INCLUDE_DIR}/LXQt/${bh}" COPYONLY)
endforeach()

# Create the portable headers
lxqt_create_portable_headers(INTREE_PORTABLE_HEADERS
    NAME_PREFIX "lxqt"
    OUTPUT_DIR "${LXQT_INTREE_INCLUDE_DIR}/LXQt"
    HEADER_NAMES ${PUBLIC_CLASSES}
)

#check_portable_headers(H_FILES ${PUB_HDRS} LINKS "${INTREE_PORTABLE_HEADERS}")

#************************************************
# Create in-tree build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE   "${LXQT_INTREE_TARGETS_FILE}")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
)

#************************************************
# Create installable build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}/${LXQT_LIBRARY_NAME}-targets.cmake")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${LXQT_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    ${LXQT_LIBRARY_NAME}-targets
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

add_library(${LXQT_LIBRARY_NAME}
    SHARED ${PUB_HDRS}
           ${SRCS}
           ${dbus_generated}
           ${UIS} ${MOCS}
           ${QM_FILES}
           ${QRC_CXX_SOURCES}

)

target_link_libraries(${LXQT_LIBRARY_NAME}
    PUBLIC
        KF5::WindowSystem
        Qt5::Widgets
        Qt5::DBus
        Qt5::X11Extras
        Qt5Xdg
    PRIVATE
        ${X11_Xscreensaver_LIB}
        ${X11_X11_LIB}
)

set_target_properties(${LXQT_LIBRARY_NAME} PROPERTIES
    VERSION   ${LXQT_VERSION}
    SOVERSION ${LXQT_MAJOR_VERSION}
)

target_compile_definitions(${LXQT_LIBRARY_NAME}
    PRIVATE
        "LXQT_RELATIVE_SHARE_DIR=\"${LXQT_RELATIVE_SHARE_DIR}\""
        "LXQT_SHARE_DIR=\"${LXQT_SHARE_DIR}\""
        "LXQT_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${LXQT_RELATIVE_TRANSLATIONS_DIR}\""
        "LXQT_SHARE_TRANSLATIONS_DIR=\"${LXQT_TRANSLATIONS_DIR}\""
        "LXQT_GRAPHICS_DIR=\"${LXQT_GRAPHICS_DIR}\""
        "LXQT_ETC_XDG_DIR=\"${LXQT_ETC_XDG_DIR}\""
        "LXQT_DATA_DIR=\"${LXQT_DATA_DIR}\""
        "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
        "LXQT_VERSION=\"${LXQT_VERSION}\""
        "COMPILE_LIBLXQT"
        "QT_USE_QSTRINGBUILDER"
        "QT_NO_CAST_FROM_ASCII"
        "QT_NO_CAST_TO_ASCII"
        "QT_NO_URL_CAST_FROM_STRING"
        "QT_NO_CAST_FROM_BYTEARRAY"
        "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
        "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
)

if (Qt5Core_VERSION VERSION_LESS "5.9.0")
    if (NOT DEFINED WITH_XDG_DIRS_FALLBACK)
        set(WITH_XDG_DIRS_FALLBACK ON)
    endif ()
elseif (WITH_XDG_DIRS_FALLBACK)
    set(WITH_XDG_DIRS_FALLBACK OFF)
    message(WARNING "Disabling requested WITH_XDG_DIRS_FALLBACK workaround, as proper implementation is in Qt from v5.9.0")
endif ()
if (WITH_XDG_DIRS_FALLBACK)
    message(STATUS "Building with homemade QSettings XDG fallback workaround")
    target_compile_definitions(${LXQT_LIBRARY_NAME}
        PRIVATE "WITH_XDG_DIRS_FALLBACK"
    )
endif ()

target_include_directories(${LXQT_LIBRARY_NAME}
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}/LXQt>"
        "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}>"
        "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}/LXQt>"
)

install(TARGETS
    ${LXQT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT ${LXQT_LIBRARY_NAME}-targets
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Runtime
)

install(FILES
    ${PUB_HDRS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

install(FILES
    ${INTREE_PORTABLE_HEADERS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

install(FILES ${LXQT_CONFIG_FILES}
    DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt"
    COMPONENT Runtime
)

install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")

#************************************************
# Create and install pkgconfig file
#************************************************
lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
    LIBS ${LXQT_LIBRARY_NAME}
    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
    VERSION ${LXQT_VERSION}
    INSTALL
)
#************************************************

=== debian/changelog ===
liblxqt (0.14.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>  Thu, 28 Jan 2021 19:39:00 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               dh-exec,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libkf5windowsystem-dev,
@@ -26,7 +25,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          desktop-file-utils,
-#         lxqt-backlight-helper [linux-any],
          shared-mime-info
 Recommends: liblxqt-l10n
 Pre-Depends: ${misc:Pre-Depends}
@@ -65,17 +63,3 @@
 Replaces: liblxqt0 (<< 0.11.0)
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.
-
-
-# Package: lxqt-backlight-helper
-# Architecture: linux-any
-# Depends: ${shlibs:Depends},
-#         ${misc:Depends}
-# Description: LXQt backlight helper for linux
-#  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
-# technologies. It has been tailored for users who value simplicity, speed, and
-# an intuitive interface. Unlike most desktop environments, LXQt also works
-# fine with less powerful machines.
-# .
-# This package contains the backlight helper files needed by the linux LXQt
-# desktop environment.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## liblxqt 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.1")
+set(QT_MINIMUM_VERSION "5.10.0")
+set(QTXDG_MINIMUM_VERSION "3.5.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 14)
+set(LXQT_MINOR_VERSION 15)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -25,11 +25,12 @@
 # patch-version as liblxqt - in real life it will be fine if every component
 # has it's own patch version within a major/minor life cyle.
 #
-set(LXQT_PATCH_VERSION 1)
+set(LXQT_PATCH_VERSION 0)
 set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
 
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+option(BUILD_BACKLIGHT_LINUX_BACKEND "Build the Linux backend for the backlight" ON)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
@@ -38,17 +39,25 @@
 set(CMAKE_AUTOUIC ON)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
+find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus LinguistTools)
 find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
-find_package(X11 REQUIRED)
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    find_package(PolkitQt5-1 REQUIRED)
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
+if (NOT APPLE)
+    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED X11Extras)
+    find_package(X11 REQUIRED)
+endif()
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
 
-add_subdirectory(lxqtbacklight/linux_backend/driver)
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    add_subdirectory(lxqtbacklight/linux_backend/driver)
+    add_definitions(-DUSE_BACKLIGHT_LINUX_BACKEND)
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 set(LXQT_PKG_CONFIG_DESCRIPTION "Shared library for LXQt applications")
 
@@ -57,7 +66,6 @@
     lxqtsettings.h
     lxqtplugininfo.h
     lxqtpowermanager.h
-    lxqtscreensaver.h
     lxqtapplication.h
     lxqtsingleapplication.h
     lxqttranslator.h
@@ -78,12 +86,17 @@
     #lxqtbacklight/linux_backend/linuxbackend.h
 )
 
+if (NOT APPLE)
+    list (APPEND PUB_HDRS
+        lxqtscreensaver.h
+    )
+endif (NOT APPLE)
+
 set(PUBLIC_CLASSES
     HtmlDelegate
     Settings
     PluginInfo
     PowerManager
-    ScreenSaver
     Application
     SingleApplication
     Translator
@@ -101,13 +114,17 @@
     Globals
     Backlight
 )
+if (NOT APPLE)
+    list (APPEND PUBLIC_CLASSES
+        ScreenSaver
+    )
+endif (NOT APPLE)
 
 set(SRCS
     lxqthtmldelegate.cpp
     lxqtplugininfo.cpp
     lxqtpowermanager.cpp
     lxqtsettings.cpp
-    lxqtscreensaver.cpp
     lxqtapplication.cpp
     lxqtsingleapplication.cpp
     lxqttranslator.cpp
@@ -125,14 +142,24 @@
     lxqtrotatedwidget.cpp
     lxqtbacklight.cpp
     lxqtbacklight/virtual_backend.cpp
-    lxqtbacklight/linux_backend/linuxbackend.cpp
-)
+)
+
+if (NOT APPLE)
+    list (APPEND SRCS
+        lxqtscreensaver.cpp
+    )
+endif (NOT APPLE)
+
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    list (APPEND SRCS
+        lxqtbacklight/linux_backend/linuxbackend.cpp
+    )
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 set(MOCS
     lxqthtmldelegate.h
     lxqtpowermanager.h
     lxqtsettings.h
-    lxqtscreensaver.h
     lxqtapplication.h
     lxqtbacklight.h
 
@@ -147,8 +174,19 @@
     lxqtgridlayout.h
     lxqtrotatedwidget.h
     lxqtbacklight/virtual_backend.h
-    lxqtbacklight/linux_backend/linuxbackend.h
-)
+)
+
+if (NOT APPLE)
+    list (APPEND MOCS
+        lxqtscreensaver.h
+    )
+endif (NOT APPLE)
+
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    list (APPEND SRCS
+        lxqtbacklight/linux_backend/linuxbackend.h
+    )
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 set(FORMS
     configdialog/lxqtconfigdialog.ui
@@ -177,7 +215,11 @@
 list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")
 
 # KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
-set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
+set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}")
+
+if (NOT APPLE)
+    set(LXQT_PKG_CONFIG_REQUIRES "${LXQT_PKG_CONFIG_REQUIRES}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
+endif (NOT APPLE)
 
 
 # Standard directories for installation
@@ -282,12 +324,18 @@
         KF5::WindowSystem
         Qt5::Widgets
         Qt5::DBus
-        Qt5::X11Extras
         Qt5Xdg
-    PRIVATE
-        ${X11_Xscreensaver_LIB}
-        ${X11_X11_LIB}
-)
+)
+
+if (NOT APPLE)
+    target_link_libraries(${LXQT_LIBRARY_NAME}
+        PUBLIC
+            Qt5::X11Extras
+        PRIVATE
+            ${X11_Xscreensaver_LIB}
+            ${X11_X11_LIB}
+    )
+endif (NOT APPLE)
 
 set_target_properties(${LXQT_LIBRARY_NAME} PROPERTIES
     VERSION   ${LXQT_VERSION}
@@ -306,13 +354,9 @@
         "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
         "LXQT_VERSION=\"${LXQT_VERSION}\""
         "COMPILE_LIBLXQT"
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
         "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
         "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
+        "QT_NO_KEYWORDS"
 )
 
 if (Qt5Core_VERSION VERSION_LESS "5.9.0")
@@ -363,19 +407,12 @@
     COMPONENT Runtime
 )
 
-install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 #************************************************
 # Create and install pkgconfig file
 #************************************************
 lxqt_create_pkgconfig_file(
     PACKAGE_NAME ${LXQT_LIBRARY_NAME}
-    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
-    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
-    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
-    LIBS ${LXQT_LIBRARY_NAME}
-    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
-    VERSION ${LXQT_VERSION}
-    INSTALL
-)
-#************************************************

=== debian/changelog ===
liblxqt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Remove upstream patches fixing Mac OS X and Hurd builds.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Run wrap-and-sort.
  * Add libkf5windowsystem-dev to build dependencies.
  * Full copyright update.
  * Remove unneeded lxqt-l10n Conflicts/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:19:19 -0500

liblxqt (0.14.1-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - New upstream version 0.14.1-4.
    - Bumped standards version to 4.5.0.
    - Using debhelper-compat ( =12).
    - Added new build dependency dh-exec.
    - Updated rules.
    - Updated copyrights.
    - Added upstream metadata.
    - Added upstream patches fix-hurd-ftbfs and fix-osx-ftbfs.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Tue, 07 Apr 2020 21:20:31 +0530

liblxqt (0.14.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:08 +0100

liblxqt (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Bump build dependency on libqtxdg.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 23:11:56 -0600

liblxqt (0.14.0-0ubuntu3) disco; urgency=medium

  * Add Breaks/Replaces on the old liblxqt-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 10:08:54 -0600

liblxqt (0.14.0-0ubuntu2) disco; urgency=medium

  * Add a liblxqt-l10n binary package for translations.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:36:37 -0600

liblxqt (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:20:23 -0600

liblxqt (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright.
  * Run wrap-and-sort.
  * Update build and runtime dependencies.
  * Update liblxqt0.install for the new release.
  * Update symbols from build log.
  * Remove Multi-Arch: same from liblxqt0 because it now contains an
    architecture-specific file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 22:45:48 -0500

=== debian/control ===
Source: liblxqt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.5.0),
               libqt5xdgiconloader-dev (>= 3.5.0),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.7.0)
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/liblxqt/
Vcs-Git: https://phab.lubuntu.me/source/liblxqt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt0
Architecture: any
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.2.0),
         libqt5xdgiconloader-dev (>= 3.2.0),
         lxqt-build-tools (>= 0.5.0),
         ${misc:Depends}
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

## liblxqt 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 set(QTXDG_MINIMUM_VERSION "3.5.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 15)
+set(LXQT_MINOR_VERSION 16)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -359,21 +359,6 @@
         "QT_NO_KEYWORDS"
 )
 
-if (Qt5Core_VERSION VERSION_LESS "5.9.0")
-    if (NOT DEFINED WITH_XDG_DIRS_FALLBACK)
-        set(WITH_XDG_DIRS_FALLBACK ON)
-    endif ()
-elseif (WITH_XDG_DIRS_FALLBACK)
-    set(WITH_XDG_DIRS_FALLBACK OFF)
-    message(WARNING "Disabling requested WITH_XDG_DIRS_FALLBACK workaround, as proper implementation is in Qt from v5.9.0")
-endif ()
-if (WITH_XDG_DIRS_FALLBACK)
-    message(STATUS "Building with homemade QSettings XDG fallback workaround")
-    target_compile_definitions(${LXQT_LIBRARY_NAME}
-        PRIVATE "WITH_XDG_DIRS_FALLBACK"
-    )
-endif ()
-
 target_include_directories(${LXQT_LIBRARY_NAME}
     INTERFACE
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}>"
@@ -416,3 +401,12 @@
 #************************************************
 lxqt_create_pkgconfig_file(
     PACKAGE_NAME ${LXQT_LIBRARY_NAME}
+    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
+    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
+    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
+    LIBS ${LXQT_LIBRARY_NAME}
+    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
+    VERSION ${LXQT_VERSION}
+    INSTALL
+)
+#************************************************

=== debian/changelog ===
liblxqt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #964658)
  * Drop backported upstream patches.
  * Refresh debian/liblxqt0.symbols file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 05 Jan 2021 17:23:10 +0800

=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.3.1~),
               libqt5xdgiconloader-dev (>= 3.3.1~),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.6.0~)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         desktop-file-utils,
#         lxqt-backlight-helper [linux-any],
         shared-mime-info
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.1.0),
         libqt5xdgiconloader-dev (>= 3.1.0),
         lxqt-build-tools (>= 0.5.0~)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: liblxqt0 (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.


# Package: lxqt-backlight-helper
# Architecture: linux-any
# Depends: ${shlibs:Depends},
#         ${misc:Depends}
# Description: LXQt backlight helper for linux
#  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
# technologies. It has been tailored for users who value simplicity, speed, and
# an intuitive interface. Unlike most desktop environments, LXQt also works
# fine with less powerful machines.
# .
# This package contains the backlight helper files needed by the linux LXQt
# desktop environment.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

WHICH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(WHICH_OS), hurd)
    NOT_LINUX := -DBUILD_BACKLIGHT_LINUX_BACKEND=NO
endif

ifeq ($(WHICH_OS), kfreebsd)
    NOT_LINUX := -DBUILD_BACKLIGHT_LINUX_BACKEND=NO
endif

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(NOT_LINUX)

## liblxqt 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.5.0")
+set(QTXDG_MINIMUM_VERSION "3.7.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 16)
+set(LXQT_MINOR_VERSION 17)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0

=== debian/changelog ===
liblxqt (0.17.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 Jan 2022 10:40:11 -0500

liblxqt (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream version 0.17.0
  * Update debian/control
    - Use debhelper-compat 13
    - Use libqtxdg-dev and libqtxdgiconloader-dev 3.7.1
    - Use lxqt-build-tools 0.9.0
  * Run wrap-and-sort
    - Remove lxqt-backlight-helper from debian/control
  * Renamed tag for lintian override
  * Update symbols
    - Add new symbols
    - Demangle existing symbols
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 09 Aug 2021 11:12:06 +0200

liblxqt (0.16.0-1ubuntu2) hirsute; urgency=medium

  * Dropped symbol failing on s390x. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 03 Feb 2021 16:15:06 -0800

liblxqt (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bumped standards-version to 4.5.1
  * Ignore the old upstream signing key from Debian.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sat, 23 Jan 2021 10:00:11 +0530

=== debian/control ===
Source: liblxqt
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.7.1),
               libqt5xdgiconloader-dev (>= 3.7.1),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.9.0)
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/liblxqt/
Vcs-Git: https://phab.lubuntu.me/source/liblxqt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt0
Architecture: any
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.2.0),
         libqt5xdgiconloader-dev (>= 3.2.0),
         lxqt-build-tools (>= 0.5.0~),
         ${misc:Depends}
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: liblxqt0 (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_missing:
 	dh_missing --fail-missing

## liblxqt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.7.0")
+set(QT_MINIMUM_VERSION "5.15.0")
+set(QTXDG_MINIMUM_VERSION "3.9.0")
 
 # Major LXQt Version, belong to all components
-set(LXQT_MAJOR_VERSION 0)
+set(LXQT_MAJOR_VERSION 1)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 17)
+set(LXQT_MINOR_VERSION 1)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0

=== debian/changelog ===
liblxqt (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:45:52 -0700

liblxqt (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename liblxqt0 -> liblxqt1.
  * Bump Standards-version, no changes needed.
  * Bump debhelper compat to 13, no changes needed.
  * Add my name to Uploaders.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 28 Jun 2022 23:54:37 -0500

=== debian/control ===
Source: liblxqt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.9.1),
               libqt5xdgiconloader-dev (>= 3.9.1),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.11.0)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt1
Architecture: any
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Breaks: liblxqt0 (<< 0.99)
Replaces: liblxqt0 (<< 0.99)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt1-dev
Architecture: any
Section: libdevel
Depends: liblxqt1 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.9.1),
         libqt5xdgiconloader-dev (>= 3.9.1),
         lxqt-build-tools (>= 0.11.0),
         ${misc:Depends}
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 %:
 	dh ${@} --buildsystem cmake
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_missing:
 	dh_missing --fail-missing
 
@@ -29,3 +26,7 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
